<?php

namespace App\Classes\Modules\Addresses\Standards\Rules;


use App\Classes\General\Abstracts\AbstractRule;
use App\Classes\Modules\Addresses\DataTransferObjects\AddressObject;

class CanFetchAddress extends AbstractRule
{


    /**
     * @return bool
     */
    protected function authorized(): bool
    {
        // TODO  Set Authorization rules
        return true;

    }

    /**
     * @param AddressObject $object
     * @return bool
     */
    protected function validators($object): bool
    {
        return true;

    }


    /**
     * @param AddressObject $object
     * @return bool
     */
    protected function criteria($object): bool
    {
        return true;
    }

}